//  Persistance of Vision Raytracer V3.1
//  World definition file.
//
//  Contains 2 lights, 4 textures and 50 primitives.
//
//  This file was generated for POV-Ray V3.1 by
//  Moray V3.1 For Windows (c) 1991-1998 Lutz + Kretzschmar
//

//  Date : 12/29/1998    (29.12.1998)
//



/* // Scene Comment

This scene was created with Moray V3.1 For Windows.

*/ // End Scene Comment


// Scene Includes

#include "F:\MFW\X_Wing\povscn\Gx_opts.inc"

// End Scene Includes

global_settings {
  adc_bailout 0.003922
  ambient_light <1.0,1.0,1.0>
  assumed_gamma 1.9
  hf_gray_16 off
  irid_wavelength <0.247059,0.176471,0.137255>
  max_intersections 64
  max_trace_level 10
  number_of_waves 10
  radiosity {
    brightness       3.3
    count            100
    distance_maximum 0.0
    error_bound      0.4
    gray_threshold   0.5
    low_error_factor 0.8
    minimum_reuse    0.015
    nearest_count    6
    recursion_limit  1
  }
}

background { color <0.000,0.000,0.000> }

camera {  //  Camera Camera01
  location  <     -0.772,     -24.158,       1.758>
  direction <        0.0,         0.0,      1.3515> // Aperture is 0.71 degrees
  sky       <    0.00000,     0.00000,     1.00000> // Use right handed-system 
  up        <        0.0,         0.0,         1.0> // Where Z is up
  right     <    1.33300,         0.0,         0.0> // Aspect ratio
  look_at   <     -1.449,      -5.133,       2.208>
}

//
// *******  L I G H T S *******
//

light_source {   // Light002
  <644.892, -126.826, 12.922>
  color rgb <1.000, 1.000, 1.000>
}

light_source {   // Light001
  <-464.662, 1110.329, 2091.470>
  color rgb <1.000, 1.000, 1.000>
}


//
// ********  TEXTURES  *******
//

#include "wing_x.inc"


//
// ********  REFERENCED OBJECTS  *******
//



//
// ********  OBJECTS  *******
//

#include "F:\MFW\X_Wing\povscn\wing.inc"

#declare nose4_Ref = object {
  nose
}
#declare engine__4_Ref = object {
  engine__
  rotate 20.0*y
  translate  <-0.455949, 0.0, 0.207249>
}
#declare engien__4_Ref = object {
  engien__
  rotate <97.222298, -12.820748, 0.0>
  rotate <-93.658226, -20.0, -13.249004>
  translate  <0.373049, 0.0, 0.12435>
}
#declare canopy4_Ref = object {
  canopy
}
#declare Nozzel__4_Ref = object {
  Nozzel__
}
#declare MOTOR4_Ref = object {
  MOTOR
}
#declare Detail4_Ref = object {
  Detail
}
#declare R2_D6_Ref = object {
  R2_D2
}
#declare Body4_Ref = object {
  Body
}
union { // Wing_group4
  object { nose4_Ref }
  object { engine__4_Ref }
  object { engien__4_Ref }
  object { canopy4_Ref }
  object { Nozzel__4_Ref }
  object { MOTOR4_Ref }
  object { Detail4_Ref }
  object { R2_D6_Ref }
  object { Body4_Ref }
  no_shadow
  translate  <4.198319, 36.253099, -4.999898>
}




sphere { // Clouds
  <0,0,0>,1
  material {
    Coudm
  }
  scale 1002.0
  translate  <-170.945, 4.414141, -1021.06>
}


#declare nose3_Ref = object {
  nose
}
#declare engine__3_Ref = object {
  engine__
  rotate 20.0*y
  translate  <-0.455949, 0.0, 0.207249>
}
#declare engien__3_Ref = object {
  engien__
  rotate <97.222298, -12.820748, 0.0>
  rotate <-93.658226, -20.0, -13.249004>
  translate  <0.373049, 0.0, 0.12435>
}
#declare canopy3_Ref = object {
  canopy
}
#declare Nozzel__3_Ref = object {
  Nozzel__
}
#declare MOTOR3_Ref = object {
  MOTOR
}
#declare Detail3_Ref = object {
  Detail
}
#declare R2_D5_Ref = object {
  R2_D2
}
#declare Body3_Ref = object {
  Body
}
union { // Wing_group3
  object { nose3_Ref }
  object { engine__3_Ref }
  object { engien__3_Ref }
  object { canopy3_Ref }
  object { Nozzel__3_Ref }
  object { MOTOR3_Ref }
  object { Detail3_Ref }
  object { R2_D5_Ref }
  object { Body3_Ref }
  no_shadow
  translate  <103.394635, 292.303419, 79.945324>
}


#declare nose2_Ref = object {
  nose
}
#declare engine__2_Ref = object {
  engine__
  rotate 20.0*y
  translate  <-0.455949, 0.0, 0.207249>
}
#declare engien__2_Ref = object {
  engien__
  rotate <97.222298, -12.820748, 0.0>
  rotate <-93.658226, -20.0, -13.249004>
  translate  <0.373049, 0.0, 0.12435>
}
#declare canopy2_Ref = object {
  canopy
}
#declare Nozzel__2_Ref = object {
  Nozzel__
}
#declare MOTOR2_Ref = object {
  MOTOR
}
#declare Detail2_Ref = object {
  Detail
}
#declare R2_D4_Ref = object {
  R2_D2
}
#declare Body2_Ref = object {
  Body
}
union { // Wing_group2
  object { nose2_Ref }
  object { engine__2_Ref }
  object { engien__2_Ref }
  object { canopy2_Ref }
  object { Nozzel__2_Ref }
  object { MOTOR2_Ref }
  object { Detail2_Ref }
  object { R2_D4_Ref }
  object { Body2_Ref }
  no_shadow
  rotate -20.0*y
  translate  <70.684406, 175.163979, 40.106907>
}


#declare nose1_Ref = object {
  nose
}
#declare engine__1_Ref = object {
  engine__
  rotate 20.0*y
  translate  <-0.455949, 0.0, 0.207249>
}
#declare engien__1_Ref = object {
  engien__
  rotate <97.222298, -12.820748, 0.0>
  rotate <-93.658226, -20.0, -13.249004>
  translate  <0.373049, 0.0, 0.12435>
}
#declare canopy1_Ref = object {
  canopy
}
#declare Nozzel__1_Ref = object {
  Nozzel__
}
#declare MOTOR1_Ref = object {
  MOTOR
}
#declare Detail1_Ref = object {
  Detail
}
#declare R2_D3_Ref = object {
  R2_D2
}
#declare Body1_Ref = object {
  Body
}
union { // Wing_group1
  object { nose1_Ref }
  object { engine__1_Ref }
  object { engien__1_Ref }
  object { canopy1_Ref }
  object { Nozzel__1_Ref }
  object { MOTOR1_Ref }
  object { Detail1_Ref }
  object { R2_D3_Ref }
  object { Body1_Ref }
  no_shadow
  translate  <52.348124, 154.069092, 25.458937>
}




sphere { // Mars
  <0,0,0>,1
  material {
    Marst2
  }
  scale 500.0
  translate  <2537.412535, 7917.470292, 2234.065725>
}


sphere { // Aarde
  <0,0,0>,1
  material {
    Aatdtex
  }
  scale 1000.0
  translate  <-170.945503, 4.414141, -1021.0669>
}


#declare nose_Ref = object {
  nose
}
#declare engine___Ref = object {
  engine__
  rotate 20.0*y
  translate  <-0.455949, 0.0, 0.207249>
}
#declare engien___Ref = object {
  engien__
  rotate <97.222298, -12.820748, 0.0>
  rotate <-93.658226, -20.0, -13.249004>
  translate  <0.373049, 0.0, 0.12435>
}
#declare canopy_Ref = object {
  canopy
}
#declare Nozzel___Ref = object {
  Nozzel__
}
#declare MOTOR_Ref = object {
  MOTOR
}
#declare Detail_Ref = object {
  Detail
}
#declare R2_D2_Ref = object {
  R2_D2
}
#declare Body_Ref = object {
  Body
}
union { // Wing_group
  object { nose_Ref }
  object { engine___Ref }
  object { engien___Ref }
  object { canopy_Ref }
  object { Nozzel___Ref }
  object { MOTOR_Ref }
  object { Detail_Ref }
  object { R2_D2_Ref }
  object { Body_Ref }
  material {
    Aluminum
  }
  no_shadow
  rotate -10.0*y
  translate  <24.973711, 113.670517, 14.494603>
}


